### Method

# Gsk PathBuilder conic_to

since: 4.14

#### Declaration [src]

    void
    gsk_path_builder_conic_to (
      GskPathBuilder* self,
      float x1,
      float y1,
      float x2,
      float y2,
      float weight
    )

#### Description [src]

Adds a conic curve from the current point to `x2`, `y2` with the given `weight` and `x1`, `y1` as the control point.

The weight determines how strongly the curve is pulled towards the control point. A conic with weight 1 is identical to a quadratic Bézier curve with the same points.

Conic curves can be used to draw ellipses and circles. They are also known as rational quadratic Bézier curves.

After this, `x2`, `y2` will be the new current point.

.

Available since: 4.14

#### Parameters

`x1`

  Type: `float`

  X coordinate of control point.

`y1`

  Type: `float`

  Y coordinate of control point.

`x2`

  Type: `float`

  X coordinate of the end of the curve.

`y2`

  Type: `float`

  Y coordinate of the end of the curve.

`weight`

  Type: `float`

  Weight of the control point, must be greater than zero.